Subject: Re: bug#41242: Port feature/native-comp to Windows - Reduce the number of files probed when finding a lisp file.

From: Andrea Corallo <[email-masked]>
Date: Wed, 03 Jun 2020 13:50:37 +0000

Nicolas Bértolo <[email-masked]> writes:

>> Second this code would fail both link time and load time if the linker
>> cannot resolve one of these three functions making the test on the
>> result of dlsym in the run time pointless.
>
> I thought that on GNU/Linux the dynamic linker would just resolve a function
> when necessary (i.e. function call) and not when starting the executable. I
> assumed that lazy binding was the default, and then the call to dlsym would
> prevent a crash.
>
> This is what the man page of 'ld' says about the '-z lazy' option:
>
> When generating an executable or shared library, mark it to tell the dynamic
> linker to defer function call resolution to the point when the function is
> called (lazy binding), rather than at load time. Lazy binding is the default.

Yes, but even if you use lazy linking this code would not link if the
linker cannot verify the presence of these functions.  In this case all
users with a non 10 libgccjit.

  Andrea

-- 
[email-masked]